Gtk2::Gdk::Color(3)

NAME
Gtk2::Gdk::Color

DESCRIPTION
Gdk's colors are 16-bit RGB values -- that is, the red, green, and blue components are integer values from 0 to 65535, with 65535 meaning full saturation. If you are used to dealing with colors on the range of 0 to 255, just scale those numbers by a factor of 257 (yes, 257!).

HIERARCHY
  Glib::Boxed
  +----Gtk2::Gdk::Color

METHODS

  color = Gtk2::Gdk::Color->new ($red, $green, $blue)

    * $red (unsigned)
    * $green (unsigned)
    * $blue (unsigned)

  unsigned = $color->blue

  boolean = $colora->equal ($colorb)

    * $colorb (Gtk2::Gdk::Color)

  unsigned = $color->green

  integer = $colora->hash

  color = Gtk2::Gdk::Color->parse ($spec)
    * $spec (string)

  unsigned = $color->pixel

  unsigned = $color->red

  string = $color->to_string
    Since: gtk+ 2.11

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.